package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcZdgzxmMapper;
import com.ruoyi.tcZz.domain.TcZdgzxm;
import com.ruoyi.tcZz.service.ITcZdgzxmService;

/**
 * 重点工作项目Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZdgzxmServiceImpl implements ITcZdgzxmService 
{
    @Autowired
    private TcZdgzxmMapper tcZdgzxmMapper;

    /**
     * 查询重点工作项目
     * 
     * @param id 重点工作项目主键
     * @return 重点工作项目
     */
    @Override
    public TcZdgzxm selectTcZdgzxmById(Long id)
    {
        return tcZdgzxmMapper.selectTcZdgzxmById(id);
    }

    /**
     * 查询重点工作项目列表
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 重点工作项目
     */
    @Override
    public List<TcZdgzxm> selectTcZdgzxmList(TcZdgzxm tcZdgzxm)
    {
        return tcZdgzxmMapper.selectTcZdgzxmList(tcZdgzxm);
    }

    /**
     * 新增重点工作项目
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 结果
     */
    @Override
    public int insertTcZdgzxm(TcZdgzxm tcZdgzxm)
    {
        tcZdgzxm.setCreateTime(DateUtils.getNowDate());
        return tcZdgzxmMapper.insertTcZdgzxm(tcZdgzxm);
    }

    /**
     * 修改重点工作项目
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 结果
     */
    @Override
    public int updateTcZdgzxm(TcZdgzxm tcZdgzxm)
    {
        tcZdgzxm.setUpdateTime(DateUtils.getNowDate());
        return tcZdgzxmMapper.updateTcZdgzxm(tcZdgzxm);
    }

    /**
     * 批量删除重点工作项目
     * 
     * @param ids 需要删除的重点工作项目主键
     * @return 结果
     */
    @Override
    public int deleteTcZdgzxmByIds(Long[] ids)
    {
        return tcZdgzxmMapper.deleteTcZdgzxmByIds(ids);
    }

    /**
     * 删除重点工作项目信息
     * 
     * @param id 重点工作项目主键
     * @return 结果
     */
    @Override
    public int deleteTcZdgzxmById(Long id)
    {
        return tcZdgzxmMapper.deleteTcZdgzxmById(id);
    }

    @Override
    public String importUser(List<TcZdgzxm> tcZdgzxmList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcZdgzxmList.isEmpty()) {
            for (TcZdgzxm tcZdgzxm : tcZdgzxmList) {
                tcZdgzxmMapper.insertTcZdgzxm(tcZdgzxm);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcZdgzxmMapper.updateByisStatus(isStatus,ids);
    }
}
